XNVME(1)

NAME
xnvme - No short description

SYNOPSIS
xnvme <command> [<args>]

DESCRIPTION
No long description

COMMANDS

xnvme-list(1)
    List devices on the system

xnvme-enum(1)
    Enumerate devices on the system

xnvme-info(1)
    Retrieve derived information for given device

xnvme-idfy(1)
    Execute an User-defined Identify Command

xnvme-idfy-ns(1)
    Identify the given Namespace

xnvme-idfy-ctrlr(1)
    Identify the given Controller

xnvme-idfy-cs(1)
    Identify the Command Sets supported by the controller

xnvme-log(1)
    Retrieve and print log

xnvme-log-erri(1)
    Retrieve and print log

xnvme-log-health(1)
    Retrieve and print log

xnvme-log-fdp-config(1)
    Retrieve and print log

xnvme-log-ruhu(1)
    Retrieve and print log

xnvme-log-fdp-stats(1)
    Retrieve and print log

xnvme-log-fdp-events(1)
    Retrieve and print log

xnvme-feature-get(1)
    Execute a Get Features Command

xnvme-feature-set(1)
    Execute a Set-Features Command

xnvme-set-fdp-events(1)
    Enable or disable all events

xnvme-format(1)
    Format a NVM namespace

xnvme-sanitize(1)
    Sanitize...

xnvme-fdp-ruhs(1)
    Retrieve and print log

xnvme-fdp-ruhu(1)
    Reclaim Unit Handle Update for a Placement Identifier

xnvme-pioc(1)
    Pass a used-defined IO Command through

xnvme-padc(1)
    Pass a user-defined ADmin Command through

xnvme-library-info(1)
    Produce information about the library

xnvme-dsm(1)
    Dataset Management

xnvme-subsystem-reset(1)
    Resets the subsystem

xnvme-show-regs(1)
    Show controller-registers

xnvme-ctrlr-reset(1)
    Resets the controller

xnvme-ns-rescan(1)
    Rescans the nvme namespaces

OPTIONS
--help Print the synopsis and exit

EXAMPLES
Read the man page for each <command> or consult the command-line --help:

    $ xnvme <command> --help

SEE ALSO
Full documentation at: <https://xnvme.io/>

AUTHOR
Written by Simon A. F. Lund <simon.lund@samsung.com> on behalf of Samsung